package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.HashMap;

public class SeasonCreator extends SaveAdapter {

	public Serializable save(HashMap map) {

		Serializable id = null;		

		try {

			if (inputTesting(map))
				id = SeasonController.createSeason((String) map.get("name"), (String) map.get("description"));

		} catch (InternalErrorException e) {
			e.printStackTrace();
		}
		return id;
	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("name")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("name"));			
			return false;

		}

		ErrorsHandler.clear();

		return true;

	}


}
