package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.board.to.BoardTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class BoardInUseException extends ModelException {
		
	private static final long serialVersionUID = -5723050024172915206L;
	private BoardTo board;
	
	public BoardInUseException (BoardTo board){
		
		super("Board " + board.getBoardCode() + " has got associated requests.");
		
		this.board = board;
		
	}
	
	public BoardTo getBoard() {
		return board;
	}
	
}
