package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.room.to.RoomTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class RoomWithBoardersException extends ModelException {

	private static final long serialVersionUID = -1056825113021812771L;
	private RoomTo room;
	
	public RoomWithBoardersException (RoomTo room){
		
		super("Room " + room.getRoomCode() + " has got associated boarders.");
		
		this.room = room;
		
	}
	
	public RoomTo getRoom() {
		return room;
	}
	
}
