package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableBoardException extends ModelException {
	
	private static final long serialVersionUID = -539372883093760684L;
	private String boardCode;
	
	public UnaceptableBoardException (String boardCode){
		
		super("Board " + boardCode + " is not in database.");
		
		this.boardCode = boardCode;
		
	}
	
	public String getBoardCode() {
		return boardCode;
	}
	
}
