package gz.cyberbrain.cyberhotel.model.payment.dao;

import gz.cyberbrain.cyberhotel.model.payment.to.PaymentTo;
import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public class PaymentSpringDao extends AbstractSpringDao implements PaymentDao {

	public PaymentSpringDao() {
		super(PaymentTo.class);
	}
	
	public PaymentTo create(PaymentTo paymentTo) throws InternalErrorException {
		return (PaymentTo) super.save(paymentTo);		
	}

	public PaymentTo find(Long reference) throws InstanceNotFoundException, InternalErrorException {

		PaymentTo paymentTo = (PaymentTo) super.find(reference);
		return paymentTo;
		
	}

	public void update(PaymentTo paymentTo) throws InstanceNotFoundException, InternalErrorException {
		super.update(paymentTo);
	}	

	public void remove(PaymentTo paymentTo) throws InstanceNotFoundException, InternalErrorException {
		super.delete(paymentTo);
	}

	public Collection findAll() throws InternalErrorException {
		String queryName = "allPayments";
		return super.findByQuery(queryName);
	}

}
