package gz.cyberbrain.cyberhotel.model.pricetype.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class PriceTypeTo implements Identifiable {
		
	private static final long serialVersionUID = -2362470251291788526L;
	private String priceTypeCode;
	private String description;
	
	public PriceTypeTo(){}
	
	public PriceTypeTo(String priceTypeCode, String description) {		
		this.priceTypeCode = priceTypeCode;
		this.description = description;
	}
	
	public Serializable getId(){
		return priceTypeCode;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getPriceTypeCode() {
		return priceTypeCode;
	}

	public void setPriceTypeCode(String priceTypeCode) {
		this.priceTypeCode = priceTypeCode;
	}

}
