package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableEmployeeException extends ModelException {

	private static final long serialVersionUID = 4640332031152173793L;
	private Long employeeId;

	public UnaceptableEmployeeException (Long employeeId){

		super("Employee " + employeeId + " is not in database.");

		this.employeeId = employeeId;

	}

	public Long getEmployeeId() {
		return employeeId;
	}
	
}
