package gz.cyberbrain.cyberhotel.model.wash.dao;

import gz.cyberbrain.cyberhotel.model.wash.to.WashTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface WashDao {

	public WashTo create(WashTo washTo) throws InternalErrorException;

	public WashTo find(String room, Long employee, Long washId) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (WashTo washTo) 
		throws InternalErrorException;
	
	public void remove(WashTo washTo) 
		throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public Long nextWash(String roomCode, Long employeeId) 
	throws InternalErrorException;
	
}
