package gz.cyberbrain.cyberhotel.view.swing.util.gui;

import java.awt.Color;
import javax.swing.JPanel;
import java.awt.Dimension;
import javax.swing.JLabel;
import java.awt.Rectangle;

public class InfoPanel extends JPanel {

	private static final long serialVersionUID = 1L;

	private int height=50;	
	private JLabel imageLabel = null;
	private JLabel infoLabel = null;
	private String infoText = null;

	/**
	 * This is the default constructor
	 */
	public InfoPanel() {
		super();				
		initialize();		
	}
	
	public void setInfoText(String text) {
		infoText = text;
		infoLabel.setText(text);		
		infoLabel.setForeground(Color.BLACK);
	}
	
	public void setErrorText(String text) {
		infoText = text;
		infoLabel.setText(text);
		infoLabel.setForeground(Color.RED);
	}
	
	public String getInfoText() {
		return infoText;
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		infoLabel = new JLabel();
		infoLabel.setBounds(new Rectangle(50, 0, 450, height));		
		imageLabel = new JLabel();
		imageLabel.setBounds(new Rectangle(0, 0, 50, height));		
		this.setSize(new Dimension(500, height));
		this.setBackground(Color.WHITE);
		this.setLayout(null);
		this.add(imageLabel, null);		
		this.add(infoLabel, null);
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
