package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.model.reservationfacade.delegate.ReservationFacadeDelegate;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableEmployeeException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableRoomException;
import gz.cyberbrain.cyberhotel.model.spring.facade.SpringFacadeFactory;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;
import gz.cyberbrain.cyberhotel.model.wash.to.WashTo;

import java.util.Calendar;

public class WashController {

	private static ReservationFacadeDelegate delegate = SpringFacadeFactory.getReservationFacadeDelegate();
	
	public static void createWash(Calendar washDate, boolean inWash, boolean outWash, boolean towels, boolean sheets, 
			boolean disinfection, boolean other, String room, Long employee, String observations) {
		try {
			
			delegate.doAWash(new WashTo(null, washDate, inWash, outWash, towels, sheets, 
					disinfection, other, room, employee, observations));
			
		} catch (UnaceptableEmployeeException e) {
			e.printStackTrace();
		} catch (UnaceptableRoomException e) {
			e.printStackTrace();
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}	
	}
	
}
