package gz.cyberbrain.cyberhotel.model.client.to;

public class AgencyTo extends ClientTo {

	private static final long serialVersionUID = -3357003649077288680L;
	private String cif;
	private String name;
	private String contact;
	private String payMode;
	private String accountNumber;
	private String cardNumber;
	
	public AgencyTo(){}
	
	public AgencyTo(Long clientId, Long address, String street, String dwellingPlace, String phone1, String phone2, String fax, String email, String web, Long bank, Long card, String notes, String cif, String name, String contact, String payMode, String accountNumber, String cardNumber) {
		super(clientId, address, street, dwellingPlace, phone1, phone2, fax, email,
				web, bank, card, notes);
		
		this.cif = cif;
		this.name = name;
		this.contact = contact;
		this.payMode = payMode;
		this.accountNumber = accountNumber;
		this.cardNumber = cardNumber;
	}
	
	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPayMode() {
		return payMode;
	}

	public void setPayMode(String payMode) {
		this.payMode = payMode;
	}	
	
	public String getReferenceName() {
		return name;
	}
	
}
