package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.pricetype.to.PriceTypeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class PriceTypeInUseException extends ModelException{

	private static final long serialVersionUID = -3771873311152762911L;
	private PriceTypeTo priceType;
	
	public PriceTypeInUseException (PriceTypeTo priceType){
		
		super("PriceType " + priceType.getPriceTypeCode() + " has got associated requests.");
		
		this.priceType = priceType;
		
	}
	
	public PriceTypeTo getPriceType() {
		return priceType;
	}
	
}
