package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class RegisteredReservationException extends ModelException {
	
	private static final long serialVersionUID = -2905435456492280724L;
	private ReservationTo reservationTo;
	
	public RegisteredReservationException (ReservationTo reservationTo){
		
		super("Reservation " + reservationTo.getReservationId() + " is registered.");
		
		this.reservationTo = reservationTo;
		
	}
	
	public ReservationTo getReservation() {
		return reservationTo;
	}
	
}
