package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableReservationException extends ModelException {

	private static final long serialVersionUID = -1270774773024164666L;
	private Long reservationId;
	
	public UnaceptableReservationException (Long reservationId) {
		super ("Reservation " + reservationId + " is not in database.");
		this.reservationId = reservationId;
	}
	
	public Long getReservationId() {
		return reservationId;
	}
	
}
